From fc912dc81e02ea8fe5dbb5f6459cd8ea074e0822 Mon Sep 17 00:00:00 2001
From: Rob Jonson <rob@hobbyistsoftware.com>
Date: Thu, 7 Jul 2011 13:59:33 +0100
Subject: [PATCH 3/4] added status.json - mimics functionality of status.xml

---
 share/lua/http/requests/README.txt  |    2 +-
 share/lua/http/requests/status.json |   40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 1 deletions(-)
 create mode 100644 share/lua/http/requests/status.json

diff --git a/share/lua/http/requests/README.txt b/share/lua/http/requests/README.txt
index b12a989..5fec374 100644
--- a/share/lua/http/requests/README.txt
+++ b/share/lua/http/requests/README.txt
@@ -13,7 +13,7 @@ Examples:
  space -> +
  ...
 
-status.xml:
+status.xml or status.json
 ===========
 < Get VLC status information, current item info and meta.
 
diff --git a/share/lua/http/requests/status.json b/share/lua/http/requests/status.json
new file mode 100644
index 0000000..5b6f21c
--- /dev/null
+++ b/share/lua/http/requests/status.json
@@ -0,0 +1,40 @@
+<?vlc --[[
+vim:syntax=lua
+<!--  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - >
+<  status.xml: VLC media player web interface
+<  this should mirror the content and function of status.json
+< - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - >
+<  Copyright (C) 2005-2009 the VideoLAN team
+<  $Id$
+< 
+<  Authors: Rob Jonson <rob -at- hobbyistsoftware -dot- com>
+< 
+<  This program is free software; you can redistribute it and/or modify
+<  it under the terms of the GNU General Public License as published by
+<  the Free Software Foundation; either version 2 of the License, or
+<  (at your option) any later version.
+< 
+<  This program is distributed in the hope that it will be useful,
+<  but WITHOUT ANY WARRANTY; without even the implied warranty of
+<  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+<  GNU General Public License for more details.
+< 
+<  You should have received a copy of the GNU General Public License
+<  along with this program; if not, write to the Free Software
+<  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
+< - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
+]]?>
+<?vlc
+
+--package.loaded.luahttp = nil --uncomment to debug changes
+require "luahttp"
+
+luahttp.processcommands()
+
+local statusTable=luahttp.getstatus(true)
+
+print('{')
+luahttp.printTableAsJson(statusTable,0)
+print('}')
+
+?>
-- 
1.7.5

